#!/bin/sh

case "$1" in
  start)
    echo "$0: network device	$AOL_DEVICE"
    echo "$0: local address		$AOL_LOCAL_ADDR"
    echo "$0: local name		$AOL_LOCAL_NAME"
    echo "$0: name server		$AOL_NAMESERVER"

	ifconfig $AOL_DEVICE $AOL_LOCAL_ADDR up
	route add $AOL_NAMESERVER gw $AOL_LOCAL_ADDR
	route add default gw $AOL_LOCAL_ADDR
  ;;

  stop)
	ifconfig $AOL_DEVICE down
  ;;

  *)
    echo "usage: $0 {start|stop}"
  ;;
esac

exit 0
