#include <CRC.h>

unsigned short
CRC16(byte * buffer, int length)
{
  unsigned short crc = 0;
  unsigned short ch;
  int i, j;

  for (i = 0; i < length; i ++) {
    ch = (unsigned short) buffer[i];
    for (j = 0; j < 8; j ++) {
      if ((crc ^ ch) & 1)
        crc = (crc >> 1) ^ 0xa001;
      else
        crc >>= 1;
      ch >>= 1;
    }
  }

  return (crc);
}
