#include <Hostinfo.h>

#include <netdb.h>
#include <sys/socket.h>

extern int h_errno;

#include <stdio.h>

Hostinfo :: Hostinfo()
{
}

Hostinfo :: Hostinfo(char * hostname)
{
  struct hostent * hp;

  if ((hp = gethostbyname(hostname))) {
    int i;

    for (i = 0; hp->h_aliases[i]; i ++)
      aliases.push_back(hp->h_aliases[i]);

    for (i = 0; hp->h_addr_list[i]; i ++)
      addresses.push_back(* (long *) hp->h_addr_list[i]);
  }
}

Hostinfo :: Hostinfo(string hostname)
{
  struct hostent * hp;

  if ((hp = gethostbyname(hostname.data()))) {
    int i;

    for (i = 0; hp->h_aliases[i]; i ++) 
      aliases.push_back(hp->h_aliases[i]);

    for (i = 0; hp->h_addr_list[i]; i ++) 
      addresses.push_back(* (long *) hp->h_addr_list[i]);
  }
}

Hostinfo :: ~Hostinfo()
{

}

vector<long> Hostinfo :: Addresses()
{
  return (addresses);
}

long Hostinfo :: Address(int i)
{
  if (i < (int) addresses.size())
    return (addresses[i]);

  return (-1);
}

vector<string> Hostinfo :: Aliases()
{
  return (aliases);
}

string Hostinfo :: Alias(int i)
{
  if (i < (int) aliases.size())
    return (aliases[i]);

  return ("");
}
