#ifndef _HAS_FDO91_H_
#define _HAS_FDO91_H_

#include <Memory.h>
#include <Byte.h>
#include <Buffer.h>

class Atom {
  public:
    Atom();
    Atom(int _major, int _minor, int _length, byte * _value);
    Atom(int _major, int _minor, int _length, Buffer * _value);
    virtual ~Atom();

    int Major()    { return (major); }
    int Minor()    { return (minor); }
    int Length()   { return (length); }
    byte * Value() { return (value->DataP()); }

    int GetNumber();
    string GetString();

  private:
    Buffer * value;
    int major, minor;
    int length;
};

class FDO91 {
  public:
    FDO91();
    FDO91(string code, string number);
    FDO91(Buffer * _buffer);
    virtual ~FDO91();

    Atom * GetAtom();
    void PutAtom(Atom * atom, int flag = 1);
    void PutNumber(int major, int minor, int number, int flag = 1);

    int lastmajor, majorHighBits, minorHighBits;
    short id;
    Buffer * buffer;
};

#endif /* _HAS_FDO91_H_ */
