#ifndef _HAS_HOSTINFO_H_
#define _HAS_HOSTINFO_H_

#include <string>
#include <vector>

#include <utils.h>

class Hostinfo
{
  public:
    Hostinfo();
    Hostinfo(char *);
    Hostinfo(string);
    ~Hostinfo();

   vector<long> Addresses();
   long Address(int);

   vector<string> Aliases();
   string Alias(int);

  private:
    vector<long> addresses;
    vector<string> aliases;
};

#endif /* _HAS_HOSTINFO_H_ */
