#include <Memory.h>

void _Free(void * p, char * file, int line)
{
  if (p)
    free(p);

  return;
}

void * _Resize(void * p, long int size, char * file, int line)
{
  if (p && (size > 0))
    if ((p = realloc(p, size)))
      return (p);

  return (NULL);
}

void * _AllocN(long int count, long int size, char * file, int line)
{
  if (count > 0 && size > 0)
    return (_Alloc(count * size, file, line));

  return (NULL);
}

void * _Alloc(long int size, char * file, int line)
{
  void * rv = NULL;

  if (size > 0)
    if ((rv = malloc(size))) {
      memset(rv, 0, size);
      return (rv);
    }

  return (NULL);
}

void * _Copy(void * p, long int size, char * filename, int line)
{
  void * rv = NULL;

  if (size > 0)
    if ((rv = Alloc(size))) {
      memcpy(rv, p, size);
      return (rv);
    }

  return (NULL);
}

#include <stdio.h>
void
fmt_buf(byte * data, int len)
{
  int i;

  fflush(stdout);
  for (i = 0; i < len; i ++) {
    printf("%02x", data[i], data[i]);
  }
#if 1
  printf("   -   ");
  for (i = 0; i < len; i ++) {
    if (data[i] > 32 && data[i] < 122)
      printf("%c", data[i]);
    else
      printf(".");
  }
#endif
  printf("\n");
  fflush(stdout);

  return;
}
