#include <Memory.h>
#include <RoastPassword.h>

static byte roastingKey[16] = { 243, 179, 108, 153, 149, 63, 172, 182,
                                197, 250, 107, 99, 105, 108, 195, 154 };

char * RoastPassword(string password)
{
  char * passwordC;
  char * rv;
  int i;

  rv = (char *) Copy((void *) password.data(), password.length());
  passwordC = (char *) Copy((void *) rv, password.length());

  for (i = 0; (i < (int) password.length()) && (i < 16); i ++)
    rv[i] = (passwordC[i] ^ roastingKey[i]);

  Free(passwordC);

  return (rv);
}
